std::vector< bool, _Alloc > Class Template Reference
Containers » Sequences

`#include <vector>`

Inheritance diagram for std::vector< bool, _Alloc >:
[legend]

## Public Types

typedef _Alloc | allocator_type
typedef _Bit_const_iterator | const_iterator
typedef const bool * | const_pointer
typedef bool | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef ptrdiff_t | difference_type
typedef _Bit_iterator | iterator
typedef _Bit_reference * | pointer
typedef _Bit_reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef size_t | size_type
typedef bool | value_type

## Public Member Functions

template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>
constexpr | vector (_InputIterator __first, _InputIterator __last, const allocator_type &__a=allocator_type())
constexpr | vector (const allocator_type &__a)
constexpr | vector (const vector &__x)
constexpr | vector (const vector &__x, const __type_identity_t< allocator_type > &__a)
constexpr | vector (initializer_list< bool > __l, const allocator_type &__a=allocator_type())
constexpr | vector (size_type __n, const allocator_type &__a=allocator_type())
constexpr | vector (size_type __n, const bool &__value, const allocator_type &__a=allocator_type())
| vector (vector &&)=default
constexpr | vector (vector &&__x, const __type_identity_t< allocator_type > &__a) noexcept(_Bit_alloc_traits::_S_always_equal())
constexpr auto | _M_emplace_aux (const_iterator __position, _Args &&... __args) -> iterator
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>
constexpr void | assign (_InputIterator __first, _InputIterator __last)
constexpr void | assign (initializer_list< bool > __l)
constexpr void | assign (size_type __n, const bool &__x)
constexpr reference | at (size_type __n)
constexpr const_reference | at (size_type __n) const
constexpr reference | back ()
constexpr const_reference | back () const
constexpr const_iterator | begin () const noexcept
constexpr iterator | begin () noexcept
constexpr size_type | capacity () const noexcept
constexpr const_iterator | cbegin () const noexcept
constexpr const_iterator | cend () const noexcept
constexpr void | clear () noexcept
constexpr const_reverse_iterator | crbegin () const noexcept
constexpr const_reverse_iterator | crend () const noexcept
template<typename... _Args>
constexpr iterator | emplace (const_iterator __pos, _Args &&... __args)
template<typename... _Args>
constexpr reference | emplace_back (_Args &&... __args)
constexpr bool | empty () const noexcept
constexpr const_iterator | end () const noexcept
constexpr iterator | end () noexcept
constexpr iterator | erase (const_iterator __first, const_iterator __last)
constexpr iterator | erase (const_iterator __position)
constexpr void | flip () noexcept
constexpr reference | front ()
constexpr const_reference | front () const
constexpr allocator_type | get_allocator () const
constexpr allocator_type | get_allocator () const noexcept
constexpr iterator | insert (const_iterator __p, initializer_list< bool > __l)
iterator | insert (const_iterator __position)
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>
constexpr iterator | insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
constexpr iterator | insert (const_iterator __position, const bool &__x)
constexpr iterator | insert (const_iterator __position, size_type __n, const bool &__x)
constexpr size_type | max_size () const noexcept
constexpr vector & | operator= (const vector &__x)
constexpr vector & | operator= (initializer_list< bool > __l)
constexpr vector & | operator= (vector &&__x) noexcept(_Bit_alloc_traits::_S_nothrow_move())
constexpr reference | operator[] (size_type __n)
constexpr const_reference | operator[] (size_type __n) const
constexpr void | pop_back ()
constexpr void | push_back (bool __x)
constexpr const_reverse_iterator | rbegin () const noexcept
constexpr reverse_iterator | rbegin () noexcept
constexpr const_reverse_iterator | rend () const noexcept
constexpr reverse_iterator | rend () noexcept
constexpr void | reserve (size_type __n)
constexpr void | resize (size_type __new_size, bool __x=bool())
constexpr void | shrink_to_fit ()
constexpr size_type | size () const noexcept
constexpr void | swap (vector &__x) noexcept

## Static Public Member Functions

static constexpr void | swap (reference __x, reference __y) noexcept

## Protected Types

typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Bit_type >::other | _Bit_alloc_type

## Protected Member Functions

constexpr pointer | _M_allocate (size_t __n)
constexpr pointer | _M_allocate_and_copy (size_type __n, _ForwardIterator __first, _ForwardIterator __last)
template<typename _ForwardIterator>
constexpr void | _M_assign_aux (_ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
template<typename _InputIterator>
constexpr void | _M_assign_aux (_InputIterator __first, _InputIterator __last, std::input_iterator_tag)
constexpr void | _M_assign_dispatch (_Integer __n, _Integer __val, __true_type)
constexpr size_type | _M_check_len (size_type __n, const char *__s) const
constexpr iterator | _M_copy_aligned (const_iterator __first, const_iterator __last, iterator __result)
constexpr void | _M_create_storage (size_t __n)
constexpr void | _M_deallocate ()
constexpr void | _M_deallocate (pointer __p, size_t __n)
constexpr void | _M_deallocate (pointer __p, size_t __n)
constexpr void | _M_default_append (size_type __n)
constexpr void | _M_default_initialize (size_type __n)
constexpr iterator | _M_erase (iterator __first, iterator __last)
constexpr iterator | _M_erase (iterator __pos)
constexpr void | _M_erase_at_end (iterator __pos)
constexpr void | _M_fill_append (size_type __n, const value_type &__x)
constexpr void | _M_fill_assign (size_t __n, bool __x)
constexpr void | _M_fill_initialize (size_type __n, const value_type &__value)
constexpr void | _M_fill_insert (iterator __position, size_type __n, bool __x)
constexpr const _Bit_alloc_type & | _M_get_Bit_allocator () const noexcept
constexpr _Bit_alloc_type & | _M_get_Bit_allocator () noexcept
constexpr const _Tp_alloc_type & | _M_get_Tp_allocator () const noexcept
constexpr _Tp_alloc_type & | _M_get_Tp_allocator () noexcept
constexpr void | _M_initialize (size_type __n)
template<typename _ForwardIterator>
constexpr void | _M_initialize_range (_ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
template<typename _InputIterator>
constexpr void | _M_initialize_range (_InputIterator __first, _InputIterator __last, std::input_iterator_tag)
constexpr void | _M_initialize_value (bool __x) noexcept
constexpr void | _M_insert_aux (iterator __position, bool __x)
constexpr void | _M_insert_dispatch (iterator __pos, _Integer __n, _Integer __val, __true_type)
template<typename _InputIterator>
constexpr void | _M_insert_range (iterator __pos, _InputIterator __first, _InputIterator __last, std::input_iterator_tag)
template<typename _ForwardIterator>
constexpr void | _M_insert_range (iterator __position, _ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
constexpr iterator | _M_insert_rval (const_iterator __position, value_type &&__v)
constexpr void | _M_move_data (_Bvector_base &&__x) noexcept
constexpr void | _M_range_check (size_type __n) const
constexpr void | _M_range_initialize (_InputIterator __first, _InputIterator __last, std::input_iterator_tag)
constexpr void | _M_range_insert (iterator __pos, _InputIterator __first, _InputIterator __last, std::input_iterator_tag)
constexpr void | _M_realloc_insert (iterator __position, _Args &&... __args)
constexpr void | _M_reallocate (size_type __n)
constexpr bool | _M_shrink_to_fit ()
void | data ()=delete

## Static Protected Member Functions

static constexpr size_type | _S_check_init_len (size_type __n, const allocator_type &__a)
static constexpr size_type | _S_max_size (const _Tp_alloc_type &__a) noexcept
static constexpr size_t | _S_nword (size_t __n)

## Protected Attributes

_Vector_impl | _M_impl

## Friends

struct | std::hash< vector >

## Detailed Description

template<typename _Alloc>
class std::vector< bool, _Alloc >

A specialization of vector for booleans which offers fixed time access to individual elements in any order.

Since
  C++98

Template Parameters

  _Alloc | Allocator type.

Note that vector<bool> does not actually meet the requirements for being a container. This is because the reference and pointer types are not really references and pointers to bool. See DR96 for details.

See also
  vector for function documentation.

In some terminology a vector can be described as a dynamic C-style array, it offers fast and efficient access to individual elements in any order and saves the user from worrying about memory and size allocation. Subscripting ( ``[] ) access is also provided as with C-style arrays.

Definition at line 740 of file stl_bvector.h.

## Member Typedef Documentation

## _Bit_alloc_type

template<typename _Alloc>

typedef __gnu_cxx::__alloc_traits<_Alloc>::template rebind<_Bit_type>::other std::_Bvector_base< _Alloc >::_Bit_alloc_type

inherited

Definition at line 529 of file stl_bvector.h.

## allocator_type

template<typename _Alloc>

typedef _Alloc std::vector< bool, _Alloc >::allocator_type

Definition at line 762 of file stl_bvector.h.

## const_iterator

template<typename _Alloc>

typedef _Bit_const_iterator std::vector< bool, _Alloc >::const_iterator

Definition at line 759 of file stl_bvector.h.

## const_pointer

template<typename _Alloc>

typedef const bool* std::vector< bool, _Alloc >::const_pointer

Definition at line 757 of file stl_bvector.h.

## const_reference

template<typename _Alloc>

typedef bool std::vector< bool, _Alloc >::const_reference

Definition at line 755 of file stl_bvector.h.

## const_reverse_iterator

template<typename _Alloc>

typedef std::reverse_iterator<const_iterator> std::vector< bool, _Alloc >::const_reverse_iterator

Definition at line 760 of file stl_bvector.h.

## difference_type

template<typename _Alloc>

typedef ptrdiff_t std::vector< bool, _Alloc >::difference_type

Definition at line 753 of file stl_bvector.h.

## iterator

template<typename _Alloc>

typedef _Bit_iterator std::vector< bool, _Alloc >::iterator

Definition at line 758 of file stl_bvector.h.

## pointer

template<typename _Alloc>

typedef _Bit_reference* std::vector< bool, _Alloc >::pointer

Definition at line 756 of file stl_bvector.h.

## reference

template<typename _Alloc>

typedef _Bit_reference std::vector< bool, _Alloc >::reference

Definition at line 754 of file stl_bvector.h.

## reverse_iterator

template<typename _Alloc>

typedef std::reverse_iterator<iterator> std::vector< bool, _Alloc >::reverse_iterator

Definition at line 761 of file stl_bvector.h.

## size_type

template<typename _Alloc>

typedef size_t std::vector< bool, _Alloc >::size_type

Definition at line 752 of file stl_bvector.h.

## value_type

template<typename _Alloc>

typedef bool std::vector< bool, _Alloc >::value_type

Definition at line 751 of file stl_bvector.h.

## Constructor & Destructor Documentation

## vector() [1/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | const allocator_type & | __a | ) |

inline explicit constexpr

Definition at line 784 of file stl_bvector.h.

## vector() [2/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | size_type | __n,
|  | const allocator_type & | __a = allocator_type() )

inline explicit constexpr

Definition at line 790 of file stl_bvector.h.

## vector() [3/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | size_type | __n,
|  | const bool & | __value,
|  | const allocator_type & | __a = allocator_type() )

inline constexpr

Definition at line 795 of file stl_bvector.h.

## vector() [4/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | const vector< bool, _Alloc > & | __x | ) |

inline constexpr

Definition at line 809 of file stl_bvector.h.

## vector() [5/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | vector< bool, _Alloc > && | __x,
|  | const __type_identity_t< allocator_type > & | __a )

inline constexpr noexcept

Definition at line 842 of file stl_bvector.h.

## vector() [6/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | const vector< bool, _Alloc > & | __x,
|  | const __type_identity_t< allocator_type > & | __a )

inline constexpr

Definition at line 849 of file stl_bvector.h.

## vector() [7/8]

template<typename _Alloc>

std::vector< bool, _Alloc >::vector | ( | initializer_list< bool > | __l,
|  | const allocator_type & | __a = allocator_type() )

inline constexpr

Definition at line 857 of file stl_bvector.h.

## vector() [8/8]

template<typename _Alloc>
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>

std::vector< bool, _Alloc >::vector | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a = allocator_type() )

inline constexpr

Definition at line 870 of file stl_bvector.h.

## ~vector()

template<typename _Alloc>

std::vector< bool, _Alloc >::~vector | ( |  | ) |

inline constexpr noexcept

Definition at line 890 of file stl_bvector.h.

## Member Function Documentation

## _M_allocate_and_copy()

pointer std::vector< bool, _Alloc >::_M_allocate_and_copy | ( | size_type | __n,
|  | _ForwardIterator | __first,
|  | _ForwardIterator | __last )

inline constexpr protected

Memory expansion handler. Uses the member allocation function to obtain n bytes of memory, and then copies [first,last) into it.

Definition at line 1616 of file stl_vector.h.

## _M_assign_aux() [1/2]

template<typename _Alloc>
template<typename _ForwardIterator>

void std::vector< bool, _Alloc >::_M_assign_aux | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag | )

inline constexpr protected

Definition at line 1468 of file stl_bvector.h.

## _M_assign_aux() [2/2]

template<typename _Alloc>
template<typename _InputIterator>

void std::vector< bool, _Alloc >::_M_assign_aux | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag | )

inline constexpr protected

Definition at line 1453 of file stl_bvector.h.

## _M_assign_dispatch()

void std::vector< bool, _Alloc >::_M_assign_dispatch | ( | _Integer | __n,
|  | _Integer | __val,
|  | __true_type | )

inline constexpr protected

Definition at line 1733 of file stl_vector.h.

## _M_check_len()

template<typename _Alloc>

size_type std::vector< bool, _Alloc >::_M_check_len | ( | size_type | __n,
|  | const char * | __s ) const

inline constexpr protected

Definition at line 1530 of file stl_bvector.h.

## _M_copy_aligned()

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::_M_copy_aligned | ( | const_iterator | __first,
|  | const_iterator | __last,
|  | iterator | __result )

inline constexpr protected

Definition at line 1339 of file stl_bvector.h.

## _M_create_storage()

void std::_Vector_base< bool, _Alloc >::_M_create_storage | ( | size_t | __n | ) |

inline constexpr protected

Definition at line 396 of file stl_vector.h.

## _M_deallocate() [1/2]

template<typename _Alloc>

void std::_Bvector_base< _Alloc >::_M_deallocate | ( |  | ) |

inline constexpr protected inherited

Definition at line 693 of file stl_bvector.h.

## _M_deallocate() [2/2]

template<typename _Tp, typename _Alloc>

void std::_Vector_base< _Tp, _Alloc >::_M_deallocate | ( | pointer | __p,
|  | size_t | __n )

inline constexpr inherited

Definition at line 386 of file stl_vector.h.

## _M_default_append()

void vector::_M_default_append | ( | size_type | __n | ) |

constexpr protected

Definition at line 1817 of file vector.tcc.

## _M_default_initialize()

void std::vector< bool, _Alloc >::_M_default_initialize | ( | size_type | __n | ) |

inline constexpr protected

Definition at line 1715 of file stl_vector.h.

## _M_emplace_aux()

auto std::vector< bool, _Alloc >::_M_emplace_aux | ( | const_iterator | __position,
|  | _Args &&... | __args )->iterator

constexpr

Definition at line 381 of file vector.tcc.

## _M_erase() [1/2]

template<typename _Alloc>

vector< bool, _Alloc >::iterator std::vector< bool, _Alloc >::_M_erase | ( | iterator | __first,
|  | iterator | __last )

constexpr protected

Definition at line 1033 of file vector.tcc.

## _M_erase() [2/2]

template<typename _Alloc>

vector< bool, _Alloc >::iterator std::vector< bool, _Alloc >::_M_erase | ( | iterator | __pos | ) |

constexpr protected

Definition at line 1021 of file vector.tcc.

## _M_erase_at_end()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_erase_at_end | ( | iterator | __pos | ) |

inline constexpr protected

Definition at line 1541 of file stl_bvector.h.

## _M_fill_append()

void vector::_M_fill_append | ( | size_type | __n,
|  | const value_type & | __x )

constexpr protected

Definition at line 1811 of file vector.tcc.

## _M_fill_assign()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_fill_assign | ( | size_t | __n,
|  | bool | __x )

inline constexpr protected

Definition at line 1436 of file stl_bvector.h.

## _M_fill_initialize()

void std::vector< bool, _Alloc >::_M_fill_initialize | ( | size_type | __n,
|  | const value_type & | __value )

inline constexpr protected

Definition at line 1704 of file stl_vector.h.

## _M_fill_insert()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_fill_insert | ( | iterator | __position,
|  | size_type | __n,
|  | bool | __x )

constexpr protected

Definition at line 922 of file vector.tcc.

## _M_get_Bit_allocator() [1/2]

template<typename _Alloc>

const _Bit_alloc_type & std::_Bvector_base< _Alloc >::_M_get_Bit_allocator | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 641 of file stl_bvector.h.

## _M_get_Bit_allocator() [2/2]

template<typename _Alloc>

_Bit_alloc_type & std::_Bvector_base< _Alloc >::_M_get_Bit_allocator | ( |  | ) |

inline constexpr noexcept inherited

Definition at line 636 of file stl_bvector.h.

## _M_initialize()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_initialize | ( | size_type | __n | ) |

inline constexpr protected

Definition at line 1349 of file stl_bvector.h.

## _M_initialize_range() [1/2]

template<typename _Alloc>
template<typename _ForwardIterator>

void std::vector< bool, _Alloc >::_M_initialize_range | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag | )

inline constexpr protected

Definition at line 1411 of file stl_bvector.h.

## _M_initialize_range() [2/2]

template<typename _Alloc>
template<typename _InputIterator>

void std::vector< bool, _Alloc >::_M_initialize_range | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag | )

inline constexpr protected

Definition at line 1401 of file stl_bvector.h.

## _M_initialize_value()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_initialize_value | ( | bool | __x | ) |

inline constexpr protected noexcept

Definition at line 1363 of file stl_bvector.h.

## _M_insert_aux()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_insert_aux | ( | iterator | __position,
|  | bool | __x )

constexpr protected

Definition at line 992 of file vector.tcc.

## _M_insert_dispatch()

void std::vector< bool, _Alloc >::_M_insert_dispatch | ( | iterator | __pos,
|  | _Integer | __n,
|  | _Integer | __val,
|  | __true_type | )

inline constexpr protected

Definition at line 1773 of file stl_vector.h.

## _M_insert_range() [1/2]

template<typename _Alloc>
template<typename _InputIterator>

void std::vector< bool, _Alloc >::_M_insert_range | ( | iterator | __pos,
|  | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag | )

inline constexpr protected

Definition at line 1508 of file stl_bvector.h.

## _M_insert_range() [2/2]

template<typename _Alloc>
template<typename _ForwardIterator>

void std::vector< bool, _Alloc >::_M_insert_range | ( | iterator | __position,
|  | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag | )

constexpr protected

Definition at line 956 of file vector.tcc.

## _M_insert_rval()

auto vector::_M_insert_rval | ( | const_iterator | __position,
|  | value_type && | __v )

constexpr protected

Definition at line 1883 of file vector.tcc.

## _M_move_data()

template<typename _Alloc>

void std::_Bvector_base< _Alloc >::_M_move_data | ( | _Bvector_base< _Alloc > && | __x | ) |

inline constexpr protected noexcept inherited

Definition at line 708 of file stl_bvector.h.

## _M_range_check()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_range_check | ( | size_type | __n | ) | const

inline constexpr protected

Definition at line 1097 of file stl_bvector.h.

## _M_range_initialize()

void std::vector< bool, _Alloc >::_M_range_initialize | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag | )

inline constexpr protected

Definition at line 1667 of file stl_vector.h.

## _M_range_insert()

void vector::_M_range_insert | ( | iterator | __pos,
|  | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag | )

constexpr protected

Definition at line 1792 of file vector.tcc.

## _M_realloc_insert()

void vector::_M_realloc_insert | ( | iterator | __position,
|  | _Args &&... | __args )

constexpr protected

Definition at line 1878 of file vector.tcc.

## _M_reallocate()

template<typename _Alloc>

void std::vector< bool, _Alloc >::_M_reallocate | ( | size_type | __n | ) |

constexpr protected

Definition at line 904 of file vector.tcc.

## _M_shrink_to_fit()

template<typename _Alloc>

bool std::vector< bool, _Alloc >::_M_shrink_to_fit | ( |  | ) |

constexpr protected

Definition at line 1045 of file vector.tcc.

## _S_check_init_len()

constexpr size_type std::vector< bool, _Alloc >::_S_check_init_len | ( | size_type | __n,
|  | const allocator_type & | __a )

inline static constexpr protected

Definition at line 1912 of file stl_vector.h.

## _S_max_size()

constexpr size_type std::vector< bool, _Alloc >::_S_max_size | ( | const _Tp_alloc_type & | __a | ) |

inline static constexpr protected noexcept

Definition at line 1921 of file stl_vector.h.

## _S_nword()

template<typename _Alloc>

constexpr size_t std::_Bvector_base< _Alloc >::_S_nword | ( | size_t | __n | ) |

inline static constexpr protected inherited

Definition at line 714 of file stl_bvector.h.

## assign() [1/3]

template<typename _Alloc>
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>

void std::vector< bool, _Alloc >::assign | ( | _InputIterator | __first,
|  | _InputIterator | __last )

inline constexpr

Definition at line 973 of file stl_bvector.h.

## assign() [2/3]

template<typename _Alloc>

void std::vector< bool, _Alloc >::assign | ( | initializer_list< bool > | __l | ) |

inline constexpr

Definition at line 989 of file stl_bvector.h.

## assign() [3/3]

template<typename _Alloc>

void std::vector< bool, _Alloc >::assign | ( | size_type | __n,
|  | const bool & | __x )

inline constexpr

Definition at line 965 of file stl_bvector.h.

## at() [1/2]

template<typename _Alloc>

reference std::vector< bool, _Alloc >::at | ( | size_type | __n | ) |

inline constexpr

Definition at line 1109 of file stl_bvector.h.

## at() [2/2]

template<typename _Alloc>

const_reference std::vector< bool, _Alloc >::at | ( | size_type | __n | ) | const

inline constexpr

Definition at line 1117 of file stl_bvector.h.

## back() [1/2]

template<typename _Alloc>

reference std::vector< bool, _Alloc >::back | ( |  | ) |

inline nodiscard constexpr

Definition at line 1145 of file stl_bvector.h.

## back() [2/2]

template<typename _Alloc>

const_reference std::vector< bool, _Alloc >::back | ( |  | ) | const

inline nodiscard constexpr

Definition at line 1150 of file stl_bvector.h.

## begin() [1/2]

template<typename _Alloc>

const_iterator std::vector< bool, _Alloc >::begin | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1000 of file stl_bvector.h.

## begin() [2/2]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::begin | ( |  | ) |

inline nodiscard constexpr noexcept

Definition at line 995 of file stl_bvector.h.

## capacity()

template<typename _Alloc>

size_type std::vector< bool, _Alloc >::capacity | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1075 of file stl_bvector.h.

## cbegin()

template<typename _Alloc>

const_iterator std::vector< bool, _Alloc >::cbegin | ( |  | ) | const

inline constexpr noexcept

Definition at line 1036 of file stl_bvector.h.

## cend()

template<typename _Alloc>

const_iterator std::vector< bool, _Alloc >::cend | ( |  | ) | const

inline constexpr noexcept

Definition at line 1041 of file stl_bvector.h.

## clear()

template<typename _Alloc>

void std::vector< bool, _Alloc >::clear | ( |  | ) |

inline constexpr noexcept

Definition at line 1309 of file stl_bvector.h.

## crbegin()

template<typename _Alloc>

const_reverse_iterator std::vector< bool, _Alloc >::crbegin | ( |  | ) | const

inline constexpr noexcept

Definition at line 1046 of file stl_bvector.h.

## crend()

template<typename _Alloc>

const_reverse_iterator std::vector< bool, _Alloc >::crend | ( |  | ) | const

inline constexpr noexcept

Definition at line 1051 of file stl_bvector.h.

## emplace()

template<typename _Alloc>
template<typename... _Args>

iterator std::vector< bool, _Alloc >::emplace | ( | const_iterator | __pos,
|  | _Args &&... | __args )

inline constexpr

Definition at line 1331 of file stl_bvector.h.

## emplace_back()

template<typename _Alloc>
template<typename... _Args>

reference std::vector< bool, _Alloc >::emplace_back | ( | _Args &&... | __args | ) |

inline constexpr

Definition at line 1320 of file stl_bvector.h.

## empty()

template<typename _Alloc>

bool std::vector< bool, _Alloc >::empty | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1081 of file stl_bvector.h.

## end() [1/2]

template<typename _Alloc>

const_iterator std::vector< bool, _Alloc >::end | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1010 of file stl_bvector.h.

## end() [2/2]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::end | ( |  | ) |

inline nodiscard constexpr noexcept

Definition at line 1005 of file stl_bvector.h.

## erase() [1/2]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::erase | ( | const_iterator | __first,
|  | const_iterator | __last )

inline constexpr

Definition at line 1275 of file stl_bvector.h.

## erase() [2/2]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::erase | ( | const_iterator | __position | ) |

inline constexpr

Definition at line 1266 of file stl_bvector.h.

## flip()

template<typename _Alloc>

void std::vector< bool, _Alloc >::flip | ( |  | ) |

inline constexpr noexcept

Definition at line 1300 of file stl_bvector.h.

## front() [1/2]

template<typename _Alloc>

reference std::vector< bool, _Alloc >::front | ( |  | ) |

inline nodiscard constexpr

Definition at line 1135 of file stl_bvector.h.

## front() [2/2]

template<typename _Alloc>

const_reference std::vector< bool, _Alloc >::front | ( |  | ) | const

inline nodiscard constexpr

Definition at line 1140 of file stl_bvector.h.

## get_allocator() [1/2]

template<typename _Alloc>

allocator_type std::vector< bool, _Alloc >::get_allocator | ( |  | ) | const

inline constexpr

Definition at line 766 of file stl_bvector.h.

## get_allocator() [2/2]

| ( |  | ) | const

Get a copy of the memory allocation object.

## insert() [1/5]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __p,
|  | initializer_list< bool > | __l )

inline constexpr

Definition at line 1254 of file stl_bvector.h.

## insert() [2/5]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position | ) |

inline

Definition at line 1206 of file stl_bvector.h.

## insert() [3/5]

template<typename _Alloc>
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | _InputIterator | __first,
|  | _InputIterator | __last )

inline constexpr

Definition at line 1215 of file stl_bvector.h.

## insert() [4/5]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | const bool & | __x )

inline constexpr

Definition at line 1189 of file stl_bvector.h.

## insert() [5/5]

template<typename _Alloc>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | size_type | __n,
|  | const bool & | __x )

inline constexpr

Definition at line 1239 of file stl_bvector.h.

## max_size()

template<typename _Alloc>

size_type std::vector< bool, _Alloc >::max_size | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1062 of file stl_bvector.h.

## operator=() [1/3]

template<typename _Alloc>

vector & std::vector< bool, _Alloc >::operator= | ( | const vector< bool, _Alloc > & | __x | ) |

inline constexpr

Definition at line 894 of file stl_bvector.h.

## operator=() [2/3]

template<typename _Alloc>

vector & std::vector< bool, _Alloc >::operator= | ( | initializer_list< bool > | __l | ) |

inline constexpr

Definition at line 952 of file stl_bvector.h.

## operator=() [3/3]

template<typename _Alloc>

vector & std::vector< bool, _Alloc >::operator= | ( | vector< bool, _Alloc > && | __x | ) |

inline constexpr noexcept

Definition at line 926 of file stl_bvector.h.

## operator[]() [1/2]

template<typename _Alloc>

reference std::vector< bool, _Alloc >::operator[] | ( | size_type | __n | ) |

inline nodiscard constexpr

Definition at line 1086 of file stl_bvector.h.

## operator[]() [2/2]

template<typename _Alloc>

const_reference std::vector< bool, _Alloc >::operator[] | ( | size_type | __n | ) | const

inline nodiscard constexpr

Definition at line 1091 of file stl_bvector.h.

## pop_back()

template<typename _Alloc>

void std::vector< bool, _Alloc >::pop_back | ( |  | ) |

inline constexpr

Definition at line 1260 of file stl_bvector.h.

## push_back()

template<typename _Alloc>

void std::vector< bool, _Alloc >::push_back | ( | bool | __x | ) |

inline constexpr

Definition at line 1155 of file stl_bvector.h.

## rbegin() [1/2]

template<typename _Alloc>

const_reverse_iterator std::vector< bool, _Alloc >::rbegin | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1020 of file stl_bvector.h.

## rbegin() [2/2]

template<typename _Alloc>

reverse_iterator std::vector< bool, _Alloc >::rbegin | ( |  | ) |

inline nodiscard constexpr noexcept

Definition at line 1015 of file stl_bvector.h.

## rend() [1/2]

template<typename _Alloc>

const_reverse_iterator std::vector< bool, _Alloc >::rend | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1030 of file stl_bvector.h.

## rend() [2/2]

template<typename _Alloc>

reverse_iterator std::vector< bool, _Alloc >::rend | ( |  | ) |

inline nodiscard constexpr noexcept

Definition at line 1025 of file stl_bvector.h.

## reserve()

template<typename _Alloc>

void std::vector< bool, _Alloc >::reserve | ( | size_type | __n | ) |

inline constexpr

Definition at line 1125 of file stl_bvector.h.

## resize()

template<typename _Alloc>

void std::vector< bool, _Alloc >::resize | ( | size_type | __new_size,
|  | bool | __x = bool() )

inline constexpr

Definition at line 1283 of file stl_bvector.h.

## shrink_to_fit()

template<typename _Alloc>

void std::vector< bool, _Alloc >::shrink_to_fit | ( |  | ) |

inline constexpr

Definition at line 1294 of file stl_bvector.h.

## size()

template<typename _Alloc>

size_type std::vector< bool, _Alloc >::size | ( |  | ) | const

inline nodiscard constexpr noexcept

Definition at line 1057 of file stl_bvector.h.

## swap() [1/2]

template<typename _Alloc>

constexpr void std::vector< bool, _Alloc >::swap | ( | reference | __x,
|  | reference | __y )

inline static constexpr noexcept

Definition at line 1179 of file stl_bvector.h.

## swap() [2/2]

template<typename _Alloc>

void std::vector< bool, _Alloc >::swap | ( | vector< bool, _Alloc > & | __x | ) |

inline constexpr noexcept

Definition at line 1165 of file stl_bvector.h.

## Friends And Related Symbol Documentation

## std::hash< vector >

template<typename _Alloc>

friend struct std::hash< vector >

friend

Definition at line 744 of file stl_bvector.h.

The documentation for this class was generated from the following files:

- stl_bvector.h
- vector.tcc